Author Topic: Upgrade from 2.7 to 3.5 - it's a mess  (Read 1381 times)

sebas

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 26
    • View Profile
Upgrade from 2.7 to 3.5 - it's a mess
« on: March 04, 2014, 01:35:32 PM »
Hi,

upgrading the project is resulting very painful. I wonder if this upgrade tool would actually help us, we did not try yet. Please advise.
« Last Edit: March 05, 2014, 05:39:13 AM by sebas »

sebas

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 26
    • View Profile
Re: Upgrade from 2.7 to 3.5
« Reply #1 on: March 05, 2014, 05:38:57 AM »
 :-[ bump

 I give more info, since people seem to have different issues:

- The code compiles (after our fixes)
- Monobehaviour are not missed
- GUIs are sort of working

problems are:

- not sure how to convert settings from the old NGUI to the new one. Some time the GUIs just look weird and checking every single issue is time consuming
- a lot of little issues and work through them (time consuming)

Now, if this is what we need to do, i.e.: checking every single GUI, fair enough, we need to spend a week on it. I just want to know if there is a way to make this process smoother.

ArenMook

  • Administrator
  • Hero Member
  • *****
  • Thank You
  • -Given: 337
  • -Receive: 1171
  • Posts: 22,128
  • Toronto, Canada
    • View Profile
Re: Upgrade from 2.7 to 3.5 - it's a mess
« Reply #2 on: March 05, 2014, 05:56:33 AM »
Upgrade tools were designed to help. And be sure to bring all of your UI prefabs into the scene, enable them, then Apply the changes. That's how everything gets auto-upgraded.